Mailinglist Archive: opensuse-bugs (4247 mails)

< Previous Next >
[Bug 1019886] Upgrade from 42.1 to 42.2 fails to initialize LVM VG with use_lvmetad = 1
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 16 Jan 2017 08:41:23 +0000
  • Message-id: <bug-1019886-21960-gMmUxvBKcY@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1019886
http://bugzilla.opensuse.org/show_bug.cgi?id=1019886#c4

--- Comment #4 from Youri Matthys <youri@xxxxxxxxxx> ---
(In reply to zhen ren from comment #2)
(In reply to Youri Matthys from comment #0)
When performing upgrade from 42.1 to 42.2 the system fails to initialize the
Volume Groups with default configuration.

Upgrade procedure:
===================
1) upgrade to latest patchset 42.1
2) sed -i 's/42.1/42.2/g' /etc/zypper/repos.d/*.repo
3) zypper ref && zypper dup

Issue after upgrade:
=====================
Volume Groups are not initialized and the system fails to boot if any LV's
are used in /etc/fstab.

Workarounds:
==============
Option 1) Edit /etc/lvm/lvm.conf and change "use_lvmetad = 1" to
"use_lvmetad = 0"
Option 2) Add file "/etc/dracut.conf.d/20-lvm.conf" with content :
add_dracutmodules+="lvm" and run dracut --force to regenerate initrd with
LVM modules.

It's weird because I just upgrade my laptop from 42.1 and 42.2.
The root/home/swap partitions are all logical volumes.

Correct. If root or swap are on a LV then dracut includes the LVM modules in
initrd.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
References